aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoreschnett <eschnett@043a8217-7a68-40fe-abfd-36aa7d4fa6a8>2012-06-26 01:33:44 +0000
committereschnett <eschnett@043a8217-7a68-40fe-abfd-36aa7d4fa6a8>2012-06-26 01:33:44 +0000
commit9b9a3698086014bf19e346ed29028b60a72e719b (patch)
tree033156d68695da80b28ed06db48d50012a036c66
parent3a3a069bd9878e24aa173fbe2d2a2fb496bdddab (diff)
Rename OpenMPI -> MPI
git-svn-id: http://svn.cactuscode.org/projects/ExternalLibraries/MPI/trunk@8 043a8217-7a68-40fe-abfd-36aa7d4fa6a8
-rw-r--r--README2
-rw-r--r--configuration.ccl4
-rw-r--r--configure.sh81
-rw-r--r--doc/documentation.tex2
-rw-r--r--interface.ccl2
-rw-r--r--param.ccl2
-rw-r--r--schedule.ccl2
-rw-r--r--src/make.code.defn2
-rw-r--r--src/make.configuration.defn2
9 files changed, 48 insertions, 51 deletions
diff --git a/README b/README
index 07fff0b..7a40e95 100644
--- a/README
+++ b/README
@@ -1,4 +1,4 @@
-Cactus Code Thorn OpenMPI
+Cactus Code Thorn MPI
Author(s) : Erik Schnetter
Maintainer(s): Cactus team
Licence : New BSD license
diff --git a/configuration.ccl b/configuration.ccl
index 7289990..c0e1892 100644
--- a/configuration.ccl
+++ b/configuration.ccl
@@ -1,8 +1,8 @@
-# Configuration definitions for thorn OpenMPI
+# Configuration definitions for thorn MPI
PROVIDES MPI
{
SCRIPT configure.sh
LANG bash
- OPTIONS MPI OPENMPI_DIR OPENMPI_INC_DIRS OPENMPI_LIB_DIRS OPENMPI_LIBS OPENMPI_INSTALL_DIR
+ OPTIONS MPI MPI_DIR MPI_INC_DIRS MPI_LIB_DIRS MPI_LIBS MPI_INSTALL_DIR
}
diff --git a/configure.sh b/configure.sh
index 90e1821..f3d7402 100644
--- a/configure.sh
+++ b/configure.sh
@@ -18,7 +18,7 @@ set -e # Abort on errors
if [ -n "${MPI}" ]; then
echo 'BEGIN ERROR'
- echo "Setting the option \"MPI\" is incompatible with the OpenMPI thorn. Please remove the option MPI=${MPI}."
+ echo "Setting the option \"MPI\" is incompatible with the MPI thorn. Please remove the option MPI=${MPI}."
echo 'END ERROR'
exit 1
fi
@@ -29,33 +29,33 @@ fi
# Search
################################################################################
-if [ -z "${OPENMPI_DIR}" ]; then
+if [ -z "${MPI_DIR}" ]; then
echo "BEGIN MESSAGE"
- echo "OpenMPI selected, but OPENMPI_DIR not set. Checking some places..."
+ echo "MPI selected, but MPI_DIR not set. Checking some places..."
echo "END MESSAGE"
FILES="include/mpi.h lib/libmpi.a"
DIRS="/usr /usr/local /usr/local/mpi /usr/local/packages/mpi /usr/local/apps/mpi /opt/local /usr/lib/openmpi ${HOME} ${HOME}/mpi c:/packages/mpi"
for dir in $DIRS; do
- OPENMPI_DIR="$dir"
+ MPI_DIR="$dir"
for file in $FILES; do
if [ ! -r "$dir/$file" ]; then
- unset OPENMPI_DIR
+ unset MPI_DIR
break
fi
done
- if [ -n "$OPENMPI_DIR" ]; then
+ if [ -n "$MPI_DIR" ]; then
break
fi
done
- if [ -z "$OPENMPI_DIR" ]; then
+ if [ -z "$MPI_DIR" ]; then
echo "BEGIN MESSAGE"
- echo "OpenMPI not found"
+ echo "MPI not found"
echo "END MESSAGE"
else
echo "BEGIN MESSAGE"
- echo "Found OpenMPI in ${OPENMPI_DIR}"
+ echo "Found MPI in ${MPI_DIR}"
echo "END MESSAGE"
fi
fi
@@ -66,39 +66,38 @@ fi
# Build
################################################################################
-if [ -z "${OPENMPI_DIR}" \
- -o "$(echo "${OPENMPI_DIR}" | tr '[a-z]' '[A-Z]')" = 'BUILD' ]
+if [ -z "${MPI_DIR}" \
+ -o "$(echo "${MPI_DIR}" | tr '[a-z]' '[A-Z]')" = 'BUILD' ]
then
echo "BEGIN MESSAGE"
- echo "Using bundled OpenMPI..."
+ echo "Using bundled MPI..."
echo "END MESSAGE"
# Set locations
- THORN=OpenMPI
- #NAME=openmpi-1.5.4
+ THORN=MPI
NAME=openmpi-1.6
SRCDIR=$(dirname $0)
BUILD_DIR=${SCRATCH_BUILD}/build/${THORN}
- if [ -z "${OPENMPI_INSTALL_DIR}"]; then
+ if [ -z "${MPI_INSTALL_DIR}"]; then
INSTALL_DIR=${SCRATCH_BUILD}/external/${THORN}
else
echo "BEGIN MESSAGE"
- echo "Installing OpenMPI into ${OPENMPI_INSTALL_DIR} "
+ echo "Installing MPI into ${MPI_INSTALL_DIR} "
echo "END MESSAGE"
- INSTALL_DIR=${OPENMPI_INSTALL_DIR}
+ INSTALL_DIR=${MPI_INSTALL_DIR}
fi
DONE_FILE=${SCRATCH_BUILD}/done/${THORN}
- OPENMPI_DIR=${INSTALL_DIR}
+ MPI_DIR=${INSTALL_DIR}
if [ -e ${DONE_FILE} -a ${DONE_FILE} -nt ${SRCDIR}/dist/${NAME}.tar.gz \
-a ${DONE_FILE} -nt ${SRCDIR}/configure.sh ]
then
echo "BEGIN MESSAGE"
- echo "OpenMPI has already been built; doing nothing"
+ echo "MPI has already been built; doing nothing"
echo "END MESSAGE"
else
echo "BEGIN MESSAGE"
- echo "Building OpenMPI"
+ echo "Building MPI"
echo "END MESSAGE"
# Build in a subshell
@@ -113,7 +112,7 @@ then
# Set up environment
if [ "${F90}" = "none" ]; then
echo 'BEGIN MESSAGE'
- echo 'No Fortran 90 compiler available. Building OpenMPI library without Fortran support.'
+ echo 'No Fortran 90 compiler available. Building MPI library without Fortran support.'
echo 'END MESSAGE'
unset FC
unset FCFLAGS
@@ -128,37 +127,37 @@ then
export OBJECT_MODE=64
fi
- echo "OpenMPI: Preparing directory structure..."
+ echo "MPI: Preparing directory structure..."
mkdir build external done 2> /dev/null || true
rm -rf ${BUILD_DIR} ${INSTALL_DIR}
mkdir ${BUILD_DIR} ${INSTALL_DIR}
- echo "OpenMPI: Unpacking archive..."
+ echo "MPI: Unpacking archive..."
pushd ${BUILD_DIR}
${TAR} xzf ${SRCDIR}/dist/${NAME}.tar.gz
- echo "OpenMPI: Configuring..."
+ echo "MPI: Configuring..."
cd ${NAME}
- ./configure --prefix=${OPENMPI_DIR}
+ ./configure --prefix=${MPI_DIR}
- echo "OpenMPI: Building..."
+ echo "MPI: Building..."
${MAKE}
- echo "OpenMPI: Installing..."
+ echo "MPI: Installing..."
${MAKE} install
popd
- echo "OpenMPI: Cleaning up..."
+ echo "MPI: Cleaning up..."
rm -rf ${BUILD_DIR}
date > ${DONE_FILE}
- echo "OpenMPI: Done."
+ echo "MPI: Done."
)
if (( $? )); then
echo 'BEGIN ERROR'
- echo 'Error while building OpenMPI. Aborting.'
+ echo 'Error while building MPI. Aborting.'
echo 'END ERROR'
exit 1
fi
@@ -174,28 +173,26 @@ fi
# Set options
-if [ "${OPENMPI_DIR}" != '/usr' -a "${OPENMPI_DIR}" != '/usr/local' ]; then
- : ${OPENMPI_INC_DIRS="${OPENMPI_DIR}/include"}
- : ${OPENMPI_LIB_DIRS="${OPENMPI_DIR}/lib"}
+if [ "${MPI_DIR}" != '/usr' -a "${MPI_DIR}" != '/usr/local' ]; then
+ : ${MPI_INC_DIRS="${MPI_DIR}/include"}
+ : ${MPI_LIB_DIRS="${MPI_DIR}/lib"}
fi
-: ${OPENMPI_LIBS='mpi mpi_cxx'}
+: ${MPI_LIBS='mpi mpi_cxx'}
# Pass options to Cactus
echo "BEGIN DEFINE"
-echo "CCTK_MPI 1"
-echo "HAVE_MPI 1"
-echo "HAVE_OPENMPI 1"
+echo "CCTK_MPI 1"
+echo "HAVE_MPI 1"
echo "END DEFINE"
echo "BEGIN MAKE_DEFINITION"
echo "CCTK_MPI = 1"
echo "HAVE_MPI = 1"
-echo "HAVE_OPENMPI = 1"
-echo "MPI_DIR = ${OPENMPI_DIR}"
-echo "MPI_INC_DIRS = ${OPENMPI_INC_DIRS}"
-echo "MPI_LIB_DIRS = ${OPENMPI_LIB_DIRS}"
-echo "MPI_LIBS = ${OPENMPI_LIBS}"
+echo "MPI_DIR = ${MPI_DIR}"
+echo "MPI_INC_DIRS = ${MPI_INC_DIRS}"
+echo "MPI_LIB_DIRS = ${MPI_LIB_DIRS}"
+echo "MPI_LIBS = ${MPI_LIBS}"
echo "END MAKE_DEFINITION"
echo 'INCLUDE_DIRECTORY $(MPI_INC_DIRS)'
diff --git a/doc/documentation.tex b/doc/documentation.tex
index 7c24efe..feec262 100644
--- a/doc/documentation.tex
+++ b/doc/documentation.tex
@@ -8,7 +8,7 @@
\begin{document}
-\title{ExternalLibraries/OpenMPI}
+\title{ExternalLibraries/MPI}
\maketitle
diff --git a/interface.ccl b/interface.ccl
index 73893f8..d004a6d 100644
--- a/interface.ccl
+++ b/interface.ccl
@@ -1,3 +1,3 @@
-# Interface definition for thorn OpenMPI
+# Interface definition for thorn MPI
IMPLEMENTS: MPI
diff --git a/param.ccl b/param.ccl
index 1d3749a..b15bf2a 100644
--- a/param.ccl
+++ b/param.ccl
@@ -1 +1 @@
-# Parameter definitions for thorn OpenMPI
+# Parameter definitions for thorn MPI
diff --git a/schedule.ccl b/schedule.ccl
index 768d4b4..c9db41a 100644
--- a/schedule.ccl
+++ b/schedule.ccl
@@ -1 +1 @@
-# Schedule definitions for thorn OpenMPI
+# Schedule definitions for thorn MPI
diff --git a/src/make.code.defn b/src/make.code.defn
index ae2b14c..cd2322f 100644
--- a/src/make.code.defn
+++ b/src/make.code.defn
@@ -1,4 +1,4 @@
-# Main make.code.defn file for thorn OpenMPI
+# Main make.code.defn file for thorn MPI
# Source files in this directory
SRCS =
diff --git a/src/make.configuration.defn b/src/make.configuration.defn
index a577923..fff6fc8 100644
--- a/src/make.configuration.defn
+++ b/src/make.configuration.defn
@@ -1,4 +1,4 @@
-# make.configuration.defn file for thorn OpenMPI
+# make.configuration.defn file for thorn MPI
# Define the relevant OpenMPI utilities
#ALL_UTILS += mpirun ompi-clean ompi-iof ompi-ps ompi-server ompi_info orte-clean orte-iof orte-ps orted orterun